eID middleware |

# be.portugal.eid.PTEID_DocumentType Class Reference

Class that holds the possible document types. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_DocumentType | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_DocumentType | PTEID_DOCTYPE_FULL = new PTEID_DocumentType("PTEID_DOCTYPE_FULL", pteidlibJava_WrapperJNI.PTEID_DOCTYPE_FULL_get())
| Full document : used for for XML/CSV/TLV export.
static final PTEID_DocumentType | PTEID_DOCTYPE_ID = new PTEID_DocumentType("PTEID_DOCTYPE_ID")
| ID document : used to get values per field.
static final PTEID_DocumentType | PTEID_DOCTYPE_PICTURE = new PTEID_DocumentType("PTEID_DOCTYPE_PICTURE")
| picture document (if available)
static final PTEID_DocumentType | PTEID_DOCTYPE_INFO = new PTEID_DocumentType("PTEID_DOCTYPE_INFO")
| info on the card (if available)
static final PTEID_DocumentType | PTEID_DOCTYPE_PINS = new PTEID_DocumentType("PTEID_DOCTYPE_PINS")
| pin container (if available)
static final PTEID_DocumentType | PTEID_DOCTYPE_CERTIFICATES = new PTEID_DocumentType("PTEID_DOCTYPE_CERTIFICATES")
| certificates containert (if available)

## Detailed Description

Class that holds the possible document types.

## Member Function Documentation

static PTEID_DocumentType be.portugal.eid.PTEID_DocumentType.swigToEnum | ( | int | swigValue | ) | `[static]`

final int be.portugal.eid.PTEID_DocumentType.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_DocumentType.toString | ( |  | ) |

## Member Data Documentation

final PTEID_DocumentType be.portugal.eid.PTEID_DocumentType.PTEID_DOCTYPE_CERTIFICATES = new PTEID_DocumentType("PTEID_DOCTYPE_CERTIFICATES")`[static]`

certificates containert (if available)

final PTEID_DocumentType be.portugal.eid.PTEID_DocumentType.PTEID_DOCTYPE_FULL = new PTEID_DocumentType("PTEID_DOCTYPE_FULL", pteidlibJava_WrapperJNI.PTEID_DOCTYPE_FULL_get())`[static]`

Full document : used for for XML/CSV/TLV export.

final PTEID_DocumentType be.portugal.eid.PTEID_DocumentType.PTEID_DOCTYPE_ID = new PTEID_DocumentType("PTEID_DOCTYPE_ID")`[static]`

ID document : used to get values per field.

final PTEID_DocumentType be.portugal.eid.PTEID_DocumentType.PTEID_DOCTYPE_INFO = new PTEID_DocumentType("PTEID_DOCTYPE_INFO")`[static]`

info on the card (if available)

final PTEID_DocumentType be.portugal.eid.PTEID_DocumentType.PTEID_DOCTYPE_PICTURE = new PTEID_DocumentType("PTEID_DOCTYPE_PICTURE")`[static]`

picture document (if available)

final PTEID_DocumentType be.portugal.eid.PTEID_DocumentType.PTEID_DOCTYPE_PINS = new PTEID_DocumentType("PTEID_DOCTYPE_PINS")`[static]`

pin container (if available)